{
  // Use IntelliSense to learn about possible attributes.
  // Hover to view descriptions of existing attributes.
  // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Launch Main Script",
      "type": "PowerShell",
      "request": "launch",
      "script": "${workspaceFolder}/Process-ADObjects.ps1",
      "args": ["R125"],
      "preLaunchTask": "clean-workdirs",
      "postDebugTask": "normalize-output"
    },
    {
      "name": "Launch Measure Main Script",
      "type": "PowerShell",
      "request": "launch",
      "script": "${workspaceFolder}/Measure-ProcessADObjects.ps1",
      "args": [
          "-Sparkasse", "${input:institute}",
          "-ScriptRoot", "${workspaceFolder}",
          "-Warmup", "1",
          "-Runs", "1"
      ],
      "cwd": "${workspaceFolder}"
    },    
    {
      "name": "Launch Measure Work Script",
      "type": "PowerShell",
      "request": "launch",
      "script": "${workspaceFolder}/Measure-R125Direct.ps1",
      "args": [
          "-Sparkasse", "${input:institute}",
          "-ScriptRoot", "${workspaceFolder}",
          "-Types", "${input:adObjectType}",
      ],
      "cwd": "${workspaceFolder}"
    },  
    {
      "name": "Launch Analyze Script",
      "type": "PowerShell",
      "request": "launch",
      "script": "${workspaceFolder}/Analyze-ProfileResult.ps1",
      "args": [
          "-XmlPath", "${input:pickInputFile}",
      ],
      "cwd": "${workspaceFolder}"
    },
    {
      "name": "Launch Current File",
      "type": "PowerShell",
      "request": "launch",
      "script": "${file}",
      "args": []
    }
  ],
  "inputs": [
      {
          "id": "institute",
          "type": "promptString",
          "description": "Institut (z.B. R125)",
          "default": "R125"
      },
      {
          "id": "adObjectType",
          "type": "pickString",
          "description": "ADObject-Typ auswaehlen",
          "options": [
              "Organisation",
              "AppAccess",
              "FilesystemAccess",
              "AppConfiguration",
              "Security",
              "Role"
          ],
          "default": "Organisation"
      },
      {
          "id": "pickInputFile",
          "type": "command",
          "command": "extension.commandvariable.file.pickFile",
          "args": {
              "include": "Data/**/Log/Profile-*.xml",
              "exclude": "Data/**/Log/Profile-*.meta.xml",
              "description": "Eingabedatei auswaehlen"
          }
      }
  ]
}